%define oname   text-format

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 2
Summary:    Formats fixed-width text nicely
License:    Ruby License and Artistic
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(archive-tar-minitar)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Text::Format is provides the ability to nicely format fixed-width text with
knowledge of the writeable space (number of columns), margins, and
indentation settings. Text::Format can work with either TeX::Hyphen or
Text::Hyphen to hyphenate words when formatting.

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc README Changelog Install
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}

%check
ruby tests/tc_text_format.rb

%clean
rm -rf %{buildroot}



%changelog
* Fri Mar 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 77159
- add check section
- FHS compliance

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51436
- imported package ruby-text-format


* Fri Feb 11 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1
- Initial package
